Neonode zForce(TM) SDK

Classes | Functions
Message.h File Reference

Base class for all Messages. More...

`#include <EnableMessage.h>`
`#include <DisableMessage.h>`
`#include <OperationModesMessage.h>`
`#include <ResolutionMessage.h>`
`#include <TouchActiveAreaMessage.h>`
`#include <TouchMessage.h>`
`#include <NumberOfTrackedObjectsMessage.h>`
`#include <FingerFrequencyMessage.h>`
`#include <IdleFrequencyMessage.h>`
`#include <DetectedObjectSizeRestrictionMessage.h>`
`#include <ReverseTouchActiveAreaMessage.h>`
`#include <McuUniqueIdentifierMessage.h>`
`#include <OffsetMessage.h>`
`#include <HidDisplaySizeMessage.h>`
`#include <FlipXYMessage.h>`
`#include <ReflectiveEdgeFilterMessage.h>`
`#include <MergeTouchesMessage.h>`
`#include <TouchModeMessage.h>`
`#include <FloatingProtectionMessage.h>`
`#include <SnappingFilterMessage.h>`
`#include <DoubleClickPreventionMessage.h>`
Include dependency graph for Message.h:

Go to the source code of this file.

## Classes
struct | Message
| The main Message struct. More...

## Functions
DLLEXTERNAL Message * | Message_GetInstance (MessageType messageType, MessageGroup messageGroup)
| Factory creator for Messages. More...
DLLINTERNAL Message * | Message_New (MessageGroup messageGroup, uint32_t size)
| Internal constructor for Message. More...

## Detailed Description

Base class for all Messages.

Copyright
  COPYRIGHT NOTICE: (c) 2017-2022 Neonode Technologies AB. All rights reserved.

## Function Documentation

## ◆ Message_GetInstance()

DLLEXTERNAL Message* Message_GetInstance | ( | MessageType | messageType,
|  | MessageGroup | messageGroup
| ) |  |

Factory creator for Messages.

Factory creator for Messages. Creates and returns the Message specified by MessageType and MessageGroup.
On failure, errno is set.

- EOUTOFMEMORY - Out of memory.
- EUNKNOWNMESSAGETYPE - Unknown Message Type.
- EUNKNOWNMESSAGEGROUP - Unknown Message Group.
- EINVALIDSIZE - Invalid size.

Parameters

  messageType | The MessageType of the Message.
  messageGroup | The MessageGroup of the Message.

Returns
  A pointer to the created Message.

## ◆ Message_New()

DLLINTERNAL Message* Message_New | ( | MessageGroup | messageGroup,
|  | uint32_t | size
| ) |  |

Internal constructor for Message.

Internal constructor for Message. Do not use this constructor, always use the factory creator.
On failure, errno is set.

- EOUTOFMEMORY - Out of memory.
- EINVALIDSIZE - Invalid size.

Parameters

  messageGroup | MessageGroup of Message.
  size | If this is used as a base class for another class, set size to non-zero.

Returns
  Pointer to Message.